org.eclipse.mat.snapshot.extension

## Enum JdkVersion

- java.lang.Object
- - java.lang.Enum<JdkVersion>
  - - org.eclipse.mat.snapshot.extension.JdkVersion

All Implemented Interfaces:
  Serializable, Comparable<JdkVersion>

    public enum JdkVersion
    extends Enum<JdkVersion>

Enumeration of known JDK collection versions

Since:
  1.6

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`IBM14`
`IBM15`
`IBM16`
`IBM17`
`IBM18`
`JAVA18`
`SUN`

### Field Summary

Fields
`static EnumSet<JdkVersion>` `ALL`

### Method Summary

All Methods Static Methods Concrete Methods
`static EnumSet<JdkVersion>` `except(JdkVersion first, JdkVersion... rest)`
`static EnumSet<JdkVersion>` `of(JdkVersion first, JdkVersion... rest)`
`static JdkVersion` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static JdkVersion[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### SUN

    public static final JdkVersion SUN

#### IBM14

    public static final JdkVersion IBM14

#### IBM15

    public static final JdkVersion IBM15

#### IBM16

    public static final JdkVersion IBM16

#### IBM17

    public static final JdkVersion IBM17

#### IBM18

    public static final JdkVersion IBM18

#### JAVA18

    public static final JdkVersion JAVA18

### Field Detail

#### ALL

    public static EnumSet<JdkVersion> ALL

### Method Detail

#### values

    public static JdkVersion[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (JdkVersion c : JdkVersion.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static JdkVersion valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### of

    public static EnumSet<JdkVersion> of(JdkVersion first,
                                         JdkVersion... rest)

#### except

    public static EnumSet<JdkVersion> except(JdkVersion first,
                                             JdkVersion... rest)